<?php
namespace Modules\API\APIInterne\Document\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class Office
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function convertRTFToDoc(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function convertDocToPDF(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function convertXlsToPDF(): bool
    {
        return true;
    }
}
